
import secrets
import zlib


FLAG = "VUCTF{...}"


def xor(a, b):
	return bytes(p ^ q for p, q in zip(a, b))

def encrypt(data):
	"""Encrypts data with a secure one-time pad."""
	key = secrets.token_bytes(len(data))
	return xor(data, key)


while True:
	suffix = input("Enter suffix: ")
	plaintext = (FLAG + suffix).encode("utf-8")
	compressed = zlib.compress(plaintext)
	ciphertext = encrypt(compressed)
	print(ciphertext.hex())
